<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class LotePagos extends Model
{
    protected $table = 'lote_pagos';
    protected $fillable = ['total'];

    public function observaciones(){
      return $this->hasMany('App\ObservacionPago', 'fk_idLote', 'id')->orderBy('created_at','desc');
    }

    public function alumno_historico_pagos(){
      return $this->hasMany('App\AlumnoHistoricoPagos', 'fk_idLote', 'id');
    }

    public function aspirante_historico_pagos(){
      return $this->hasMany('App\AspiranteHistoricoPagos', 'fk_idLote', 'id');
    }

    public function servicios_pagados(){
      return $this->hasMany('App\ServiciosPagados', 'fk_idLote', 'id');
    }


}
